#!/bin/bash

# Edit variables due to your database configuration.
user="verinice"
database="dvzdb"

# Edit this variable to the Unicode characters to be deleted, either with a list of characters (eg. [\\\\u0001\\\\u0002\\\\u0003]) or with a range (eg. [\\\\u0001-\\\\u001f]).
unicode="\\\\u0001-\\\\u0008\\\\u000b\\\\u000c\\\\u000e-\\\\u001f"


characters="E'[${unicode}]'"

echo "Removing all Unicode Characters ${characters} from database ${database}"
psql -U ${user} -d ${database} -c "
	UPDATE properties
	SET propertyvalue = regexp_replace(propertyvalue, ${characters}, '', 'g') 
	WHERE properties_id in (select DISTINCT(properties_id) from regexp_matches(propertyvalue, ${characters}));"

